# Class UniversalAddress

#### Hierarchy

- UniversalAddress

#### Implements

- Address

- Defined in core/definitions/dist/esm/universalAddress.d.ts:3

#####
Index

### Constructors

constructor

### Properties

address
byteSize
stringToUint8Array
type

### Methods

equals
toNative
toString
toUint8Array
toUniversalAddress
unwrap
instanceof
isValidAddress

## Constructors

### constructor

- new UniversalAddress(address, format?): UniversalAddress

- #### Parameters

  - ##### address: string | Uint8Array

  - ##### `Optional` format: "hex" | "base58" | "bech32" | "algorandAppId" | "sha256"

  #### Returns UniversalAddress

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:7

## Properties

### `Private` `Readonly` address

address: any

- Defined in core/definitions/dist/esm/universalAddress.d.ts:6

### `Static` `Readonly` byteSize

byteSize: 32 = 32

- Defined in core/definitions/dist/esm/universalAddress.d.ts:4

### `Private` `Static` stringToUint8Array

stringToUint8Array: any

- Defined in core/definitions/dist/esm/universalAddress.d.ts:16

### `Static` `Readonly` type

type: string

- Defined in core/definitions/dist/esm/universalAddress.d.ts:5

## Methods

### equals

- equals(other): boolean

- #### Parameters

  - ##### other: UniversalAddress

  #### Returns boolean

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:13

### toNative

- toNative<T>(chainOrPlatform): NativeAddress<T>

- #### Type Parameters

  - #### T extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### chainOrPlatform: T

  #### Returns NativeAddress<T>

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:8

### toString

- toString(): string

- #### Returns string

  Implementation of Address.toString

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:10

### toUint8Array

- toUint8Array(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.toUint8Array

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:11

### toUniversalAddress

- toUniversalAddress(): UniversalAddress

- #### Returns UniversalAddress

  Implementation of Address.toUniversalAddress

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:12

### unwrap

- unwrap(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.unwrap

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:9

### `Static` instanceof

- instanceof(address): address is UniversalAddress

- #### Parameters

  - ##### address: any

  #### Returns address is UniversalAddress

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:15

### `Static` isValidAddress

- isValidAddress(address, format?): boolean

- #### Parameters

  - ##### address: string

  - ##### `Optional` format: "hex" | "base58" | "bech32" | "algorandAppId" | "sha256"

  #### Returns boolean

  - Defined in core/definitions/dist/esm/universalAddress.d.ts:14

Generated using TypeDoc